org.apache.ignite.spi

## Class IgniteSpiThreadFactory

- java.lang.Object
- - org.apache.ignite.spi.IgniteSpiThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class IgniteSpiThreadFactory
    extends Object
    implements ThreadFactory

This class provides implementation of `ThreadFactory` factory for creating grid SPI threads.

### Constructor Summary

Constructors
Constructor and Description
`IgniteSpiThreadFactory(String gridName, String threadName, IgniteLogger log)`

### Method Summary

Methods
`Thread` `newThread(Runnable r)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgniteSpiThreadFactory

    public IgniteSpiThreadFactory(String gridName,
                          String threadName,
                          IgniteLogger log)

Parameters:
  `gridName` - Grid name, possibly `null` for default grid.
  `threadName` - Name for threads created by this factory.
  `log` - Grid logger.

### Method Detail

#### newThread

    public Thread newThread(Runnable r)

Specified by:
  `newThread` in interface `ThreadFactory`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016